## e-debug-log

e-debug-log

## Synopsis

    #define             E_DEBUG_LOG_DOMAIN_USER
    #define             E_DEBUG_LOG_DOMAIN_GLOG
    #define             E_DEBUG_LOG_DOMAIN_CAL_QUERIES
    void                e_debug_log                         (gboolean is_milestone,
                                                             const gchar *domain,
                                                             const gchar *format,
                                                             ...);
    void                e_debug_logv                        (gboolean is_milestone,
                                                             const gchar *domain,
                                                             const gchar *format,
                                                             va_list args);
    gboolean            e_debug_log_load_configuration      (const gchar *filename,
                                                             GError **error);
    void                e_debug_log_enable_domains          (const gchar **domains,
                                                             gint n_domains);
    void                e_debug_log_disable_domains         (const gchar **domains,
                                                             gint n_domains);
    gboolean            e_debug_log_is_domain_enabled       (const gchar *domain);
    gboolean            e_debug_log_dump                    (const gchar *filename,
                                                             GError **error);
    gboolean            e_debug_log_dump_to_dated_file      (GError **error);
    void                e_debug_log_set_max_lines           (gint num_lines);
    gint                e_debug_log_get_max_lines           (void);
    void                e_debug_log_clear                   (void);

## Description

## Details

### E_DEBUG_LOG_DOMAIN_USER

    #define E_DEBUG_LOG_DOMAIN_USER "USER" /* always enabled */

Since 2.32

### E_DEBUG_LOG_DOMAIN_GLOG

    #define E_DEBUG_LOG_DOMAIN_GLOG "GLog" /* used for GLog messages; don't use it yourself */

Since 2.32

### E_DEBUG_LOG_DOMAIN_CAL_QUERIES

    #define E_DEBUG_LOG_DOMAIN_CAL_QUERIES "CalQueries" /* used for calendar queries analysis */

Since 2.32

### e_debug_log ()

    void                e_debug_log                         (gboolean is_milestone,
                                                             const gchar *domain,
                                                             const gchar *format,
                                                             ...);

`is_milestone` : |
`domain` : |
`format` : |
`...` : |

Since 2.32

### e_debug_logv ()

    void                e_debug_logv                        (gboolean is_milestone,
                                                             const gchar *domain,
                                                             const gchar *format,
                                                             va_list args);

`is_milestone` : |
`domain` : |
`format` : |
`args` : |

Since 2.32

### e_debug_log_load_configuration ()

    gboolean            e_debug_log_load_configuration      (const gchar *filename,
                                                             GError **error);

`filename` : |
`error` : |
Returns : |

Since 2.32

### e_debug_log_enable_domains ()

    void                e_debug_log_enable_domains          (const gchar **domains,
                                                             gint n_domains);

`domains` : |
`n_domains` : |

Since 2.32

### e_debug_log_disable_domains ()

    void                e_debug_log_disable_domains         (const gchar **domains,
                                                             gint n_domains);

`domains` : |
`n_domains` : |

Since 2.32

### e_debug_log_is_domain_enabled ()

    gboolean            e_debug_log_is_domain_enabled       (const gchar *domain);

`domain` : |
Returns : |

Since 2.32

### e_debug_log_dump ()

    gboolean            e_debug_log_dump                    (const gchar *filename,
                                                             GError **error);

`filename` : |
`error` : |
Returns : |

Since 2.32

### e_debug_log_dump_to_dated_file ()

    gboolean            e_debug_log_dump_to_dated_file      (GError **error);

`error` : |
Returns : |

Since 2.32

### e_debug_log_set_max_lines ()

    void                e_debug_log_set_max_lines           (gint num_lines);

`num_lines` : |

Since 2.32

### e_debug_log_get_max_lines ()

    gint                e_debug_log_get_max_lines           (void);

Returns : |

Since 2.32

### e_debug_log_clear ()

    void                e_debug_log_clear                   (void);

Since 2.32